Doomsday Engine - Feature #1146

Ducking
2003-03-20 19:06 - skyjake

Status: Closed Start date:
Priority: Normal % Done:
Assignee:

Category:

Target version:

2003-03-20
100%

Description

If you can program the ability to load ducking sprites
from a seprate wad, | can making the ducking sprites.
There will also be the issue of the players height which
must be taken into consideration. If someone shoots a
rocket above someone who is ducked, the rocket will
still hit them.

Labels: Gameplay

History

#1 - 2003-05-22 22:56 - danij

Closing as duplicate.

#2 - 2003-06-30 19:50 - chrisdragon

Logged In: YES
user_id=763563

The player will need extra animations for it (crouch,
crouchwalk, crouch shoot, crouch pain and crouchdeath). It
would be good for needing cover from enemy fire

#3 - 2003-08-08 19:19 - droyd

Logged In: YES
user_id=812866

| say no, It would change the gameplay to much

#4 - 2003-10-26 13:39 - skyjake

(originally posted by anonymous SF.net user)

Logged In: NO

a true warrior does not crouch, he stands tall and kicks ass...
If this was to be implemented, | would implement it in the

MD2 model only. Who still plays with the sprites anyways if
there is such a nice model pack.

Quaky (quaky@pandora.be)

#5 - 2004-01-01 10:56 - skyjake

(originally posted by anonymous SF.net user)

Logged In: YES
user_id=895184

No Duking please! :-|
#6 - 2004-01-29 21:39 - badrad

Logged In: YES
user_id=816824
mailto:quaky@pandora.be

I would like ducking, even without sprites to go with it so
in singleplayer | could duck. | am so using to hitting shift
to duck that it almost baffles me when it doesnt happen. |
wouldnt mind if it was just a first person effect without
the correct sprite/model actions, although they would of
course be nice.

#7 - 2009-10-04 22:08 - resurrection

Logged In: YES
user_id=943625

Adding an option to duck must be optional like jumping is.
There's only a problem like discribed by chrisdragon.

The sprites and models consist out of alot of programming
parts (programmes inside the doomsday definition files) and
one of these are the hitboxes. When crouching your view may
be changed and your sprite may change but the hitbox
remains the to the same value (the value is about the size of
the sprite) and thus if you are shot and you duck it would
have no use at all because the hitbox remains the same.

If you would want this option to work as it should i'd have to
say it would require some alterations in the doomsday engine
itself.
